#include<bits/stdc++.h>

using namespace std;

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL) ; cout.tie(NULL) ;
	int karte[20000];
	
	int n,k,poz;
	cin>>n>>k;
	
	for(int i=0;i<n;i++){
		
		cin>>karte[i];
		if(karte[i]==k){
			poz=i;
		}
	}
	if(poz==n-1){
		
		cout<<karte[0];
	}else{
		
		cout<<karte[poz+1];
	}
	
	return 0;
	
}